### Enumeration

# Soup TLDError

since: 3.0

#### Declaration

    error-domain Soup.TLDError

#### Description [src]

Error codes for `SOUP_TLD_ERROR`.

Available since: 3.0

#### Members

`SOUP_TLD_ERROR_INVALID_HOSTNAME`

  A hostname was syntactically invalid.

  - Value: `0`
  - Nickname: `invalid-hostname`
  - Available since: 3.0
`SOUP_TLD_ERROR_IS_IP_ADDRESS`

  The passed-in “hostname” was actually an IP address (and thus has no base domain or public suffix).

  - Value: `1`
  - Nickname: `is-ip-address`
  - Available since: 3.0
`SOUP_TLD_ERROR_NOT_ENOUGH_DOMAINS`

  The passed-in hostname did not have enough components. Eg, calling `soup_tld_get_base_domain()` on “co.uk”.

  - Value: `2`
  - Nickname: `not-enough-domains`
  - Available since: 3.0
`SOUP_TLD_ERROR_NO_BASE_DOMAIN`

  The passed-in hostname has no recognized public suffix.

  - Value: `3`
  - Nickname: `no-base-domain`
  - Available since: 3.0
`SOUP_TLD_ERROR_NO_PSL_DATA`

  The Public Suffix List was not available.

  - Value: `4`
  - Nickname: `no-psl-data`
  - Available since: 3.0

#### Type functions

###### soup_tld_error_quark

Registers error quark for `soup_tld_get_base_domain()` if needed.

since: 3.0